package xiangmuguanli

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/enterprise/src/guanlixitong"
	"shylinux.com/x/enterprise/src/xiangmuguanli/model"
)

type Portal struct {
	guanlixitong.Portal
	placeCreate string `name:"placeCreate city_name* company_name* project_name* project_type:select" role:"void"`
}

func (s Portal) AfterPlaceAuth(m *ice.Message, arg ...string) {
	defer s.DashboardCreate(m, "")()
	s.DashboardInsert(m, 1, "任务总量", "个", Task{}, "")
	s.DashboardInsert(m, 2, "任务待办", "个", Task{}, "", "project_uid = ? AND status != ? AND status != ? AND status != ?", m.Option(model.PROJECT_UID), TaskRejected, TaskFinish, TaskCancel)
	s.DashboardInsert(m, 3, "提报待办", "个", Done{}, "", "project_uid = ? AND status != ?", m.Option(model.PROJECT_UID), DoneFinish)
	s.DashboardInsert(m, 4, "提报总量", "个", Done{}, "")
}
func init() { gonganxitong.PortalCmd(Portal{Portal: guanlixitong.NewPortal(userProject{}, project{})}) }
