package xiangmuguanli

import "shylinux.com/x/ice"

type project struct{ Table }

func init() { ice.TeamCtxCmd(project{}) }

type ProjectType int

const (
	ProjectRD ProjectType = iota
	ProjectOP
	ProjectHR
)

var ProjectTypeList = map[ProjectType]string{
	ProjectRD: "RD",
	ProjectOP: "OP",
	ProjectHR: "HR",
}

func (s ProjectType) String() string { return ProjectTypeList[s] }
